
From: Jesse Barnes <jbarnes@engr.sgi.com>

err may be used uninitialized in mempolicy.c in both compat_set_mempolicy
and compat_mbind.  This patch fixes that by setting them both to 0.

Signed-off-by: Jesse Barnes <jbarnes@sgi.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/mm/mempolicy.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN mm/mempolicy.c~fix-uninitialized-warnings-in-mempolicyc mm/mempolicy.c
--- 25/mm/mempolicy.c~fix-uninitialized-warnings-in-mempolicyc	2004-09-11 16:55:42.405950992 -0700
+++ 25-akpm/mm/mempolicy.c	2004-09-11 16:55:42.409950384 -0700
@@ -564,7 +564,7 @@ asmlinkage long compat_get_mempolicy(int
 asmlinkage long compat_set_mempolicy(int mode, compat_ulong_t __user *nmask,
 				     compat_ulong_t maxnode)
 {
-	long err;
+	long err = 0;
 	unsigned long __user *nm = NULL;
 	unsigned long nr_bits, alloc_size;
 	DECLARE_BITMAP(bm, MAX_NUMNODES);
@@ -588,7 +588,7 @@ asmlinkage long compat_mbind(compat_ulon
 			     compat_ulong_t mode, compat_ulong_t __user *nmask,
 			     compat_ulong_t maxnode, compat_ulong_t flags)
 {
-	long err;
+	long err = 0;
 	unsigned long __user *nm = NULL;
 	unsigned long nr_bits, alloc_size;
 	DECLARE_BITMAP(bm, MAX_NUMNODES);
_
